# LZOLoadFilter Struct Reference

Filter using LZO compression. More...

Inheritance diagram for LZOLoadFilter:

## Public Member Functions
| LZOLoadFilter (LoadFilter *chain)
| Initialise this filter.
size_t | Read (byte *buf, size_t ssize)
| Read a given number of bytes from the savegame.

## Detailed Description

Filter using LZO compression.

Definition at line 1835 of file saveload.cpp.

## Constructor & Destructor Documentation

LZOLoadFilter::LZOLoadFilter | ( | LoadFilter * | chain | ) | `[inline]`

Initialise this filter.

Parameters:

  | chain | The next filter in this chain.

Definition at line 1840 of file saveload.cpp.

References SlError().

## Member Function Documentation

size_t LZOLoadFilter::Read | ( | byte * | buf,
|  | size_t | len |
| ) |  |  | `[inline, virtual]`

Read a given number of bytes from the savegame.

Parameters:

  | buf | The bytes to read.
  | len | The number of bytes to read.

Returns:
  The number of actually read bytes.

Implements LoadFilter.

Definition at line 1845 of file saveload.cpp.

References _sl_version, LoadFilter::chain, LoadFilter::Read(), SlError(), and SlErrorCorrupt().

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp